Bug 62418 - builtin kill -SIG -1 doesn't restrict to current UID
builtin kill -SIG -1 doesn't restrict to current UID
Product: Red Hat Public Beta
Classification: Retired
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-31 11:43 EST by Jay Berkenbilt
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-11 12:06:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 2002-03-31 11:43:14 EST
Description of Problem:

The bash kill builtin appears not to restrict kill -1 to the current uid.

Version-Release number of selected component (if applicable):

bash-2.0.5a-9, 2.05a.0(1)-release

How Reproducible:


Steps to Reproduce:
1. start bash as a non-root user
2. bash-2.05a$ kill -HUP -1

Actual Results:

bash: kill: (1) - Operation not permitted

Expected Results:

All process excepting the calling process should receive a hup signal as happens
with other shells, /bin/kill, the kill system call, and the bash kill builtin in
previous versions of bash.
Comment 1 Harald Hoyer 2002-04-05 05:43:32 EST
bash-2.05a-11 totally screws builtin kill
Comment 2 Bill Nottingham 2002-04-10 16:20:35 EDT
This should be fixed in -12.
Comment 3 Jay Turner 2002-04-11 11:03:39 EDT
OK, this appears to be working lots better with 2.05a-12 . . . wouldn't mind
someone else taking a look to make sure that it's acting correctly though.
Comment 4 Jay Berkenbilt 2002-04-11 12:05:59 EDT
It certainly appears fine to me.  The code I have that depends upon bash's
builtin kill, particularly in the -1 case, works properly with -12 installed.

Note You need to log in before you can comment on or make changes to this bug.